# Fiber::throw

(PHP 8 >= 8.1.0)

Fiber::throw — Setzt die Ausführung einer Fiber mit einer Exception fort

### Beschreibung

public Fiber::throw(Throwable `$exception`): mixed

Setzt eine Fiber fort, indem es die Exception des aktuellen Fiber::suspend()-Aufrufs wirft.

Wenn die Fiber zum Zeitpunkt des Aufrufs dieser Methode nicht unterbrochen ist, wird ein FiberError geworfen.

### Parameter-Liste

`exception`

  Die Exception vom aktuellen Fiber::suspend()-Aufruf, die in die Fiber geworfen wird.

### Rückgabewerte

Gibt den Wert zurück, der dem nächsten Aufruf von Fiber::suspend() übergeben wird, oder `null`, wenn die Fiber einen Rückgabewert liefert. Wenn die Fiber eine Exception wirft, bevor sie unterbrochen wird, wird diese beim Aufruf dieser Methode geworfen.

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open